2008年05月21日

Plagger + MIME::Lite

Fedora9 をインストール後に設定したPlagger::Plugin::Publish::Gmail でまた Undefined subroutine &MIME::Lite::extract_addrs called at … なるエラーが出て送信できなかった。

で、MIME::Liteのsourceを見たらメソッドあるし、バージョンは正常だし何故に?としばし考えた。

結局、原因はCPANからPlagger入れた際にMIME::Liteもバージョンアップされていて元々rpmでインストールしたMIME::Liteでは無くそちらを見てたためだった。

rpm:/usr/lib/perl5…
CPAN:/usr/local/lib/perl5…

最終的には新しいMIME::Liteに合わせる形で修正して解決したものの、気がつくまでは焦った焦ったw
posted by ダメ at 02:11| Comment(0) | TrackBack(0) | perl